--- title: "Get player" slug: "vpe-api-view" tags: ["Video Player Enhancement"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-view" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get player Available in Classic and VPC Get player details such as the site domain, access key, etc. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/players/{player_no} | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `player_no` | String | Required | Player number - See [Get player list](/docs/en/vpe-api-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpe.apigw.ntruss.com/api/v1/players/6159' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.name` | String | - | Player name | | `result.no` | String | - | Player number | | `result.version` | String | - | Player SDK version | | `result.domains` | Object | - | Site domain information | | `result.domains.aos` | Array | - | Android app package information: [Domain information](/docs/en/vpe-api-view#%EB%8F%84%EB%A9%94%EC%9D%B8%EC%A0%95%EB%B3%B4) | | `result.domains.ios` | Array | - | iOS app package information: [Domain information](/docs/en/vpe-api-view#%EB%8F%84%EB%A9%94%EC%9D%B8%EC%A0%95%EB%B3%B4) | | `result.domains.web` | Array | - | Website domain information: [Domain information](/docs/en/vpe-api-view#%EB%8F%84%EB%A9%94%EC%9D%B8%EC%A0%95%EB%B3%B4) | | `result.access_key` | String | - | Player access key | | `result.created_at` | String | - | Player creation date and time - ISO 8601 format | | `result.updated_at` | String | - | Player modification date and time - ISO 8601 format | | `result.auto_update` | String | - | Automatic update - `Y` \| `N` - `Y`: Enable - `N`: Disable | #### Domain information The following describes the domain information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `no` | Integer | - | Domain identification number (primary key) | | `type` | String | - | Site domain type - `web` \| `ios` \| `aos` - `web`: Website URL - `ios`: iOS app package ID - `aos`: Android app package ID | | `domain` | String | - | Domain or mobile app package ID | | `created_at` | String | - | Domain registration date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "200", "message": "ok", "result": { "name": "player000", "no": 6159, "version": "1.1.3", "domains": { "aos": [ { "no": 2393, "type": "aos", "domain": "*******", "created_at": "2025-08-12T02:23:28.000+00:00" } ], "ios": [ { "no": 2392, "type": "ios", "domain": "com.t***.com", "created_at": "2025-08-12T02:23:28.000+00:00" } ], "web": [ { "no": 2231, "type": "web", "domain": "https://************.***.kr", "created_at": "2025-05-27T05:34:37.000+00:00" }, { "no": 2389, "type": "web", "domain": "http://main.***********.**.kr/", "created_at": "2025-08-12T01:22:37.000+00:00" } ] }, "access_key": "7848************************102d", "created_at": "2025-05-27T05:34:37.000+00:00", "updated_at": "2025-08-12T02:23:31.000+00:00", "auto_update": "N" } } ```